<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

$esperarCarga=true;

if($_POST['botonGenerarPackingList']) {

	$ordenes="";
	foreach($_POST as $campo=>$valor) {
		if(substr($campo,0,9)=='selector-' && $valor) {
			if($ordenes!="") $ordenes.=",";
			$valores=explode(";",$valor);
			$ordenes.=$valores[0];
			$cliente=$valores[1];
			$destino=$valores[2];
		}
	}
	
	if(count($ordenes)!="") {
		
		$peticion='SGAAsociarPackingList#'.$_SESSION['empresa'].'#'.$ordenes.'##'.$cliente."#".$destino;
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		if($resultado[0]['PackingListCreado']=='S') {
			?>
			<script>
				$('#popupCargando').hide();
				alert("Packing List creado: <?php echo $resultado[0]['PackingList']; ?>")
				.done( function(){
					$('#popupCargando').show();
					window.location="packing-list.php?orden=<?php echo $resultado[0]['PackingList']; ?>";
				});
            </script>
			<?php
		}
		else {
			?>
			<script>
				$('#popupCargando').hide();
				alert("<?php echo $resultado[0]['PackingList']; ?>");
            </script>
			<?php
		}
	}

}

?>
<h2>Ordenes de Preparación para Packing List <img src="<?php echo DIR_IMAGENES; ?>/botones/reresh.png" alt="Refrescar" class="refrescar"/></h2>

<div id="listaOrdenes">
</div>

<script>

$(document).ready(function() {

	$('#popupCargando').show();
	
	$('.refrescar').on("click",function(e) {
		$('#popupCargando').show();
		window.location=window.location;
	});
	
	$.post( "<?php echo $rutaHtml; ?>/contenidos/packing-list-ordenes-listado.php?traza=<?php echo $_GET['traza']; ?>"  )
		.done(function(data) {
			$('#popupCargando').hide();
			$('#listaOrdenes').html(data);
	});

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
